﻿using Misc;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Reflection;
using System.Text;

namespace FLY.Thick.Blowing.Common
{
    public class BlowingFixProfileParam : INotifyPropertyChanged
    {

        #region 正常运行参数
        /// <summary>
        /// 产品名称
        /// </summary>
        public string PName { get; set; }= "test_pname";

        /// <summary>
        /// 目标值
        /// </summary>
        public int Target { get; set; } = 3000;

        /// <summary>
        /// 上下限
        /// </summary>
        public int Alarm { get; set; } = 100;

        /// <summary>
        /// 斜率补偿
        /// </summary>
        public double Comp { get; set; } = 1;


        #endregion
        #region 吹膜定点解方程用
        /// <summary>
        /// 测量模式
        /// </summary>
        public MeasureMode MMode { get; set; } = MeasureMode.Edge; 

        /// <summary>
        /// 膜宽 单位 mm， 收卷时，切膜前，测量的宽度
        /// </summary>
        public int FilmWidth { get; set; } = 1180;

        /// <summary>
        /// 探头所在膜的横向位置 单位 mm
        /// </summary>
        public int FilmPosH { get; set; } = 70;

        /// <summary>
        /// 探头测量位置，袋折叠的宽度 单位 mm
        /// </summary>
        public int BagFold0 { get; set; } = 405;

        /// <summary>
        /// 另一端 袋折叠的宽度 单位 mm
        /// </summary>
        public int BagFold1 { get; set; } = 415;

        #endregion
        public event PropertyChangedEventHandler PropertyChanged;

    }

    /// <summary>
    /// 测量模式
    /// </summary>
    public enum MeasureMode
    {
        /// <summary>
        /// 不解方程，探头距离膜边 0mm
        /// </summary>
        Edge,
        /// <summary>
        /// 一般模型，探头测双层
        /// </summary>
        Normal,
        /// <summary>
        /// 垃圾袋，两边凹进去，探头测4层
        /// </summary>
        Bag
    }
}
